name: streamcam_pro
description: "A professional Flutter application for IP camera streaming, recording, and image capture with support for RTSP and HTTP protocols."
publish_to: 'none'

version: 1.0.0+1

environment:
  sdk: '>=3.2.3 <4.0.0'

dependencies:
  flutter:
    sdk: flutter

  # Video streaming and camera
  video_player: ^2.8.6
  camera: ^0.11.1
  flutter_vlc_player: ^7.4.3
  
  # State management
  provider: ^6.1.2
  
  # Storage and database
  sqflite: ^2.3.2
  path_provider: ^2.1.3
  shared_preferences: ^2.2.3
  
  # UI and design
  cupertino_icons: ^1.0.6
  flutter_svg: ^2.0.10
  lottie: ^3.3.1
  
  # Network and HTTP
  http: ^1.2.1
  dio: ^5.4.3+1
  
  # Image handling
  image: ^4.5.4
  permission_handler: ^12.0.0+1
  
  # Utilities
  intl: ^0.20.2
  uuid: ^4.3.3
  url_launcher: ^6.2.6
  
  # File picker and storage
  file_picker: ^6.2.0
  path: ^1.9.0
  
  # Connectivity
  connectivity_plus: ^6.1.4
  
  # Localization
  flutter_localizations:
    sdk: flutter

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^3.0.2

flutter:
  uses-material-design: true
  
  assets:
    - assets/images/
    - assets/icons/
    - assets/animations/ 